import matplotlib.pyplot as plt
import pymc3 as pm
import arviz as az
import pickle

N = 10
k = 7

with pm.Model() as BinModel:
    theta = pm.Uniform('theta', lower = 0.0, upper = 1.0)
    k_obs = pm.Binomial('k_obs', n = N, p = theta, observed = k)
    trace = pm.sample()
    smry = pm.summary(trace)
    print(smry)
    with open('Summary.txt', 'w') as f:
        f.write(smry.__str__())
    """
            MCMCサンプルの保存
    """
    inference_data = az.from_pymc3(trace = trace, model = BinModel)
    with open('temp.pkl', 'wb') as f:
        pickle.dump((N, k, inference_data), f)
    print('temp.pkl was saved.')
