import matplotlib.pyplot as plt
import pymc3 as pm
import arviz as az
import seaborn as sb
import numpy as np

N = 10
k = 7

with pm.Model() as BinModel:
    theta = pm.Uniform('theta', lower = 0.0, upper = 1.0)
    k_obs = pm.Binomial('k_obs', n = N, p = theta, observed = k)
    trace = pm.sample()
    pm.plot_trace(trace)
    plt.savefig('FigTrace.png')
    plt.show()
    smry = pm.summary(trace)
    print(smry)
    with open('Summary.txt', 'w') as f:
        f.write(smry.__str__())

sb.kdeplot(trace['theta'])
plt.xlabel(r'$\theta$', fontsize = 16)
plt.savefig('FigTheta.png')
plt.show()
print('FigTheta.png was saved.')
print('Summary.txt was saved.')
